<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context="pack.c0d3.com.hudhelloworldapp.MainActivity"
    tools:showIn="@layout/activity_main"
    android:weightSum="1">

    <View android:layout_width="match_parent"
          android:layout_height="20dp"
          android:layout_gravity="center"
          android:background="@color/colorPrimaryDark"
        android:id="@+id/view"
        android:layout_alignParentTop="true"
        android:layout_alignParentRight="true" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Vulcan Turret Sentry Nurf Gun HUD Controlled"
        android:textStyle="bold"
        android:layout_gravity="center_horizontal"
        android:id="@+id/textView7"
        android:textColor="#ffe7b6"
        android:layout_alignBottom="@+id/view"
        android:layout_centerHorizontal="true" />

    <!--
    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:text="y: "
        android:textColor="#045"
        android:id="@+id/textView6"
        android:textStyle="bold"
        android:layout_centerVertical="true"
        android:layout_alignParentLeft="true" />


    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:text="Pitch Value"
        android:textColor="#054"
        android:id="@+id/txtPitch"
        android:textStyle="bold"
        android:layout_toRightOf="@+id/textView6"
        android:layout_alignTop="@+id/textView6" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:text="x: "
        android:textColor="#045"
        android:id="@+id/textView5"
        android:textStyle="bold"
        android:layout_above="@+id/textView6"
        android:layout_toLeftOf="@+id/txtPitch" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:text="Yaw Value"
        android:textColor="#054"
        android:id="@+id/txtYaw"
        android:textStyle="bold"
        android:layout_alignTop="@+id/textView5"
        android:layout_toRightOf="@+id/textView5" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:text="z: "
        android:textColor="#045"
        android:id="@+id/textView2"
        android:textStyle="bold"
        android:layout_below="@+id/textView6"
        android:layout_toLeftOf="@+id/txtPitch" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:text="Roll Value"
        android:textColor="#054"
        android:id="@+id/txtRoll"
        android:textStyle="bold"
        android:layout_gravity="center"
        android:layout_below="@+id/txtPitch"
        android:layout_alignLeft="@+id/txtPitch" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:text="X Degree In Gun: "
        android:textColor="#045"
        android:id="@+id/textView"
        android:textStyle="bold"
        android:layout_below="@+id/textView2"
        android:layout_alignParentLeft="true" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:text="Y Degree In Gun: "
        android:textColor="#045"
        android:id="@+id/textView3"
        android:textStyle="bold"
        android:layout_below="@+id/textView"
        android:layout_alignLeft="@+id/textView" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:text="XDegree Value"
        android:textColor="#054"
        android:id="@+id/txtXDeg"
        android:textStyle="bold"
        android:layout_gravity="center"
        android:layout_above="@+id/textView3"
        android:layout_toRightOf="@+id/textView" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:text="YDegree Value"
        android:textColor="#054"
        android:id="@+id/txtYDeg"
        android:textStyle="bold"
        android:layout_gravity="center"
        android:layout_alignBottom="@+id/textView3"
        android:layout_toRightOf="@+id/textView" />
-->


    <EditText
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/txtIP"
        android:textSize="16dp"
        android:text="192.168.19.137"
        android:textColor="#ff7b00"
        android:textStyle="bold"
        android:layout_above="@+id/txtPort"
        android:layout_alignParentRight="true" />

    <EditText
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/txtPort"
        android:textColor="#ff7b00"
        android:text="1994"
        android:textStyle="bold"
        android:textSize="16dp"
        android:layout_alignParentBottom="true"
        android:layout_alignLeft="@+id/txtIP" />

    <Button
        style="?android:attr/buttonStyleSmall"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Connect"
        android:id="@+id/btnConnect"
        android:textSize="10dp"
        android:textStyle="bold"
        android:textColor="#ffffff"
        android:background="#fe8300"
        android:layout_alignParentBottom="true"
        android:layout_toRightOf="@+id/txtPort"
        android:layout_alignTop="@+id/txtPort" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/TextView1"
        android:layout_below="@+id/textView7"
        android:layout_alignParentLeft="true"
        android:text="Pitch:"
        android:textSize="20dp" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/textView"
        android:text="Yaw:"
        android:textSize="20dp"
        android:layout_centerVertical="true"
        android:layout_alignParentLeft="true" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/textView2"
        android:text="Roll:"
        android:textSize="20dp"
        android:layout_below="@+id/txtIP"
        android:layout_alignParentLeft="true" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/txtPitch"
        android:text="Pitch degrees."
        android:textSize="20dp"
        android:layout_alignTop="@+id/TextView1"
        android:layout_toRightOf="@+id/TextView1" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/txtYaw"
        android:text="Yaw degrees."
        android:textSize="20dp"
        android:layout_alignTop="@+id/textView"
        android:layout_toRightOf="@+id/TextView1" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/txtRoll"
        android:text="Roll degrees."
        android:textSize="20dp"
        android:layout_alignTop="@+id/textView2"
        android:layout_alignLeft="@+id/txtYaw" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/textView3"
        android:text="Gun Pitch:"
        android:textSize="20dp"
        android:layout_below="@+id/view"
        android:layout_alignLeft="@+id/textView5" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/txtYDeg"
        android:text="Pitch."
        android:textSize="20dp"
        android:layout_alignTop="@+id/textView3"
        android:layout_toRightOf="@+id/textView3" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/textView5"
        android:text="Gun Yaw:"
        android:textSize="20dp"
        android:layout_above="@+id/txtIP"
        android:layout_alignLeft="@+id/btnFire" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/txtXDeg"
        android:text="Yaw."
        android:textSize="20dp"
        android:layout_alignTop="@+id/textView5"
        android:layout_toRightOf="@+id/textView5" />

    <Button
        android:layout_width="70dp"
        android:layout_height="wrap_content"
        android:text="Fire"
        android:id="@+id/btnFire"
        android:background="#fe8300"
        android:foreground="#ffffff"
        android:textColor="#ffffff"
        android:layout_below="@+id/textView5"
        android:layout_toLeftOf="@+id/txtIP" />

    <Button
        android:layout_width="70dp"
        android:layout_height="wrap_content"
        android:text="Burst"
        android:id="@+id/btnBurst"
        android:background="#fe8300"
        android:foreground="#ffffff"
        android:textColor="#ffffff"
        android:layout_alignTop="@+id/txtPort"
        android:layout_toLeftOf="@+id/txtPort" />


    <!-- <include layout="@layout/target_stream"
         android:layout_width="559dp"
         android:layout_height="253dp"
         android:layout_alignParentBottom="true"
         android:layout_alignParentRight="true" /> -->
    <![CDATA[



    EditText
        android:layout_width="match_parent"
        android:layout_height="35dp"
        android:textSize="13dp"
        android:textStyle="bold"
        android:id="@+id/txtAddress"
        android:text="http://192.168.19.140/?src=1mode=1" />


]]>
</RelativeLayout>
